Summary: A complete GNOME frontend for M.A.M.E.
Name: grustibus
Version: 0.43.CVS20020410
Release: fr6
License: GPL
Group: Applications/Emulators
Source: http://download.sourceforge.net/gRustibus/grustibus-%{version}.tar.bz2
URL: http://grustibus.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gnome-core, xmame

%description
A frontend for the M.A.M.E. arcade emulator designed to run under the GNOME
desktop environment. Supported games are listed along with various information
about the game, including its status (installed, missing, incorrect etc).
Screenshots, flyer images and cabinet photos for the games can be shown. It
lets you configure your games using the gui.

%prep
%setup -q

%build
%configure
cp -a /usr/share/automake-1.5/depcomp .
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/gnome/apps/Games
cat > %{buildroot}%{_datadir}/gnome/apps/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=gRustibus
Comment=%{summary}
Icon=grustibus/grustibus.png
Exec=grustibus
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gnome/config/gRustibus.d
%attr(755, root, root) %{_bindir}/grustibus
%{_datadir}/gnome/apps/Games/grustibus.desktop
%{_datadir}/locale/*/LC_MESSAGES/grustibus.mo
%{_datadir}/pixmaps/*

%changelog
* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Wed Apr 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest CVS version.

* Sun Jan 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file rewrite.

